Subject: Re: bug#72769: 31.0.50; info-pop-to-buffer should respect display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Aug 2024 09:58:15 +0300

> Date: Fri, 23 Aug 2024 08:34:41 +0300
> From:  Björn Bidar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When calling Info directly it's possible to enforce to e.g. open info in
> another window.
> However when using functions such as info-display-manual this approach
> doesn't work.
> It would be better if info-pop-to-buffer generally would respect
> display-buffer unless other-window is t.
> 
> The easiest option would be to remove the display-buffer-same-window
> flag however I don't how important it would be to keep the old
> behavior.
> Should info respect display-buffer-alist or is there a reason it shouldn't?

I'd like to ask the opposite: are there any reasons to change the
current behavior?  This command existed for quite some time, and no
one has complained about its behavior so far.  Consistency by itself
is not a reason good enough to make such changes, so are there other
reasons?

Thanks.